
Redmine - Defect #19284

Inline code doesn't get formatted in the first comment

2015-03-05 20:30 - Anton Shevchenko

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Database - PostgreSQL 9.4.0

Ruby - ruby 2.1.5p273 (2014-11-13 revision 48405)

Rails - 4.2.0

Redmine - 3.0.0

No additional plugins.

The first comment on ticket doesn't get formatted.

The comment is displayed as the @ symbol is normal symbol in the comment - it doesn't get recognized.

History

#1 - 2015-03-10 20:48 - Jean-Philippe Lang

- Status changed from New to Needs feedback

- Resolution set to Cant reproduce

I'm not able to reproduce, could you provide more details (eg. the exact comment content) about this?

#2 - 2015-03-10 21:59 - Anton Shevchenko

It seems that the bug is related to content of the code, not to the position of the comment.

Sorry about that.

The code with empty line doesn't get formatted.

SELECT Field1 FROM T1;

SELECT Field2 FROM T2;

@

SELECT Field1 FROM T1;

SELECT Field2 FROM T2;

@

#3 - 2015-03-10 22:06 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Resolution changed from Cant reproduce to Invalid

It's not supposed to work, with the inline code syntax. You have to use pre tags.
